Package org.apache.sysds.common

# Enum Class Types.FileFormat

java.lang.Object
java.lang.Enum<Types.FileFormat>
org.apache.sysds.common.Types.FileFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.FileFormat>`, `Constable`

Enclosing interface:
  Types

public static enum Types.FileFormat extends Enum<Types.FileFormat>
File formats supported

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BINARY`
`COG`
`COMPRESSED`
`CSV`
`DELTA`
`FEDERATED`
`HDF5`
`JSONL`
`LIBSVM`
`MM`
`PARQUET`
`PROTO`
`TEXT`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static Types.FileFormat`
`defaultFormat()`
`static String`
`defaultFormatString()`
`boolean`
`isDelimitedFormat()`
`static boolean`
`isDelimitedFormat(String fmt)`
`boolean`
`isIJV()`
`boolean`
`isTextFormat()`
`static boolean`
`isTextFormat(String fmt)`
`static Types.FileFormat`
`safeValueOf(String fmt)`
`String`
`toString()`
`static Types.FileFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.FileFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TEXT

public static final Types.FileFormat TEXT

### MM

public static final Types.FileFormat MM

### CSV

public static final Types.FileFormat CSV

### COMPRESSED

public static final Types.FileFormat COMPRESSED

### LIBSVM

public static final Types.FileFormat LIBSVM

### JSONL

public static final Types.FileFormat JSONL

### BINARY

public static final Types.FileFormat BINARY

### FEDERATED

public static final Types.FileFormat FEDERATED

### PROTO

public static final Types.FileFormat PROTO

### HDF5

public static final Types.FileFormat HDF5

### COG

public static final Types.FileFormat COG

### PARQUET

public static final Types.FileFormat PARQUET

### DELTA

public static final Types.FileFormat DELTA

### UNKNOWN

public static final Types.FileFormat UNKNOWN

## Method Details

### values

public static Types.FileFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.FileFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isIJV

public boolean isIJV()

### isTextFormat

public boolean isTextFormat()

### isTextFormat

public static boolean isTextFormat(String fmt)

### isDelimitedFormat

public boolean isDelimitedFormat()

### isDelimitedFormat

public static boolean isDelimitedFormat(String fmt)

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Types.FileFormat>`

### defaultFormat

public static Types.FileFormat defaultFormat()

### defaultFormatString

public static String defaultFormatString()

### safeValueOf

public static Types.FileFormat safeValueOf(String fmt)